Тормозит видео h264

Автор AlekseyDebian, 15 июля 2018, 09:54:51

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

AlekseyDebian

Debian 9.4.0 xfce

Попробовал поставить пакет:
# apt install mesa-vdpau-drivers
, но он уже установлен.

В vlc- плеере:
1. Включал аппаратное ускорение vdpau ,va-api, va-api через drm.
2. Снижал качество обработки видео с 6 до 4.
3. Полностью выключал устранение блочности.
4. Пускла поток через openGL и Vdpau.
5. Изменял кеширование с 300 до 1500 мс.
6. Устанавливал флаг "Быстрый поиск" (при поиске важенее скорость, а не качество).
7. Менял профиль h264 c high на main.

Все равно тормозит, хотя на Xubuntu 16.04 не тормозила. Конечно, при кодировании можно выбрать очень сильный коэффициент сжатия, что уменьшит файл и повысит нагрузку на процессор при декодировании. Но я не думаю, что все фильты до этого сжимались с маленьким коэффициентом (и хорошо проигрывались на Xubuntu), а этот фильм (первый скачанный на Debian) пожали очень сильно.

Как лечить?

ecc83

Цитата: AlekseyDebian от 15 июля 2018, 09:54:51Как лечить?

Попробуйте другой плеер. Например mpv

AlekseyDebian

#2
Цитата: ecc83 от 15 июля 2018, 13:22:04
Цитата: AlekseyDebian от 15 июля 2018, 09:54:51Как лечить?

Попробуйте другой плеер. Например mpv


С помощью Synaptic установил mpv (с ворохом дополнительных либ). Открыл его, не нашел ни одного рычага управления кроме надписи "Drop files to play here". Я перетащил файл на это поле и отпустил, но ничего не происходит. Это какой- то чемодан без ручки: этим плеером никак нельзя воспользоваться.

Cообщение объединено 15 июля 2018, 17:29:05

Поставил totem и MPlayer-gui: первый также тормозит, а второй вообще ничего не показывает (подобно mpv).

Cообщение объединено 15 июля 2018, 20:04:07

Попробовал на Windows 10- именно это кино играется без тормозов.

qwertKI

Я знаю только то, что ничего не знаю ...

ferum

Цитата: AlekseyDebian от 15 июля 2018, 09:54:51Попробовал поставить пакет:
Код: [Выделить]
# apt install mesa-vdpau-drivers
, но он уже установлен.
Вангую что вам надо включить аппаратное ускорение видео, но что за видеокарта(ы) у нас на борту и какие драйверы ими рулят?
Русские дебианщики против цифрового слабоумия !

AlekseyDebian

#5
Цитата: ferum от 15 июля 2018, 22:16:03
Вангую что вам надо включить аппаратное ускорение видео, но что за видеокарта(ы) у нас на борту и какие драйверы ими рулят?

Видеокарта:
root@debian:/home/denis# lspci | grep -E "VGA|3D"
01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS780M [Mobility Radeon HD 3200]


Видеодрайвер:
root@debian:/home/denis# lshw -c video
  *-display UNCLAIMED       
       description: VGA compatible controller
       product: RS780M [Mobility Radeon HD 3200]
       vendor: Advanced Micro Devices, Inc. [AMD/ATI]
       physical id: 5
       bus info: pci@0000:01:05.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi vga_controller bus_master cap_list
       configuration: latency=0
       resources: memory:c0000000-cfffffff ioport:5000(size=256) memory:d2300000-d230ffff memory:d2200000-d22fffff memory:c0000-dffff


Cообщение объединено 17 июля 2018, 16:26:32

Уставновил драйвер ATI по этой инструкции (разумеется заменяя строку добавления репозитория на deb http://ftp.de.debian.org/debian stretch main contrib non-free).

Драйвера поставлись, но после перезагрзки система начала зависать. Так что пришлось с помощью образа откатиться назад.

ferum

Собственно что и требовалось доказать, нет для debian 9 как в прочем и для ubuntu 18.04 (  с привязкой к версиям ядра, компиляторов и libc6 ) проприаретарных дров для ATI и вообще в linux  плохая поддержка этих карт.
Более или менее они будут работать в KODI или связке vdr+softhddevice где декодирование происходит через собственные версии ffmpeg ( не те что в репозитории а входящие в код приложений ).
Русские дебианщики против цифрового слабоумия !

ihammers

Цитата: ferum от 17 июля 2018, 19:43:56Собственно что и требовалось доказать, нет для debian 9 как в прочем и для ubuntu 18.04 (  с привязкой к версиям ядра, компиляторов и libc6 ) проприаретарных дров для ATI и вообще в linux  плохая поддержка этих карт.
Зачем так категорично, для определённых версий систем выходят драйвера. Сейчас для новых нужно использовать amdgpu (свободная версия) или с расширением amdgpu-pro, если правильно помню название.

К автору: пакеты firmware-amd-graphics и другие пакеты связанные с железом установлены?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

ferum

Цитата: ihammers от 08 августа 2018, 08:51:03Зачем так категорично, для определённых версий систем выходят драйвера
Для текущего стабильного релиза их нет. То есть понятно что вчера было лучше и надеемся что завтра будет ещ] лучше, проблема в том что жить приходится сегодня.
Русские дебианщики против цифрового слабоумия !

ihammers

Цитата: ferum от 08 августа 2018, 15:18:37Для текущего стабильного релиза их нет. То есть понятно что вчера было лучше и надеемся что завтра будет ещ] лучше, проблема в том что жить приходится сегодня.
Я вот например сижу под свободными драйверами и система работает нормально.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

Ogis1975

Я бы посоветовал вам попробовать smplayer.